Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WorldQueryFilter Struct Reference

More...

`#include <WorldQueryFilter.h>`

## Public Member Functions
| WorldQueryFilter ()
| WorldQueryFilter (const U32 sceneLayerMask, const U32 sceneGroupMask, const bool enabledFilter, const bool visibleFilter, const bool pickingAllowedFilter, const bool alwaysInScopeFilter)
void | resetQuery (void)
void | setEnabledFilter (const bool filter)
bool | getEnabledFilter (void) const
void | setVisibleFilter (const bool filter)
bool | getVisibleFilter (void) const
void | setPickingAllowedFilter (const bool filter)
bool | getPickingAllowedFilter (void) const
void | setAlwaysInScopeFilter (const bool filter)
bool | getAlwaysInScopeFilter (void) const

## Public Attributes
U32 | mSceneLayerMask
U32 | mSceneGroupMask
bool | mEnabledFilter
bool | mVisibleFilter
bool | mPickingAllowedFilter
bool | mAlwaysInScopeFilter

## Detailed Description

## Constructor & Destructor Documentation

WorldQueryFilter | ( |  | ) |
| inline

WorldQueryFilter | ( | const U32 | sceneLayerMask,
|  | const U32 | sceneGroupMask,
|  | const bool | enabledFilter,
|  | const bool | visibleFilter,
|  | const bool | pickingAllowedFilter,
|  | const bool | alwaysInScopeFilter
| ) |  |
| inline

## Member Function Documentation

bool getAlwaysInScopeFilter | ( | void |  | ) | const
| inline

bool getEnabledFilter | ( | void |  | ) | const
| inline

bool getPickingAllowedFilter | ( | void |  | ) | const
| inline

bool getVisibleFilter | ( | void |  | ) | const
| inline

void resetQuery | ( | void |  | ) |
| inline

void setAlwaysInScopeFilter | ( | const bool | filter | ) |
| inline

void setEnabledFilter | ( | const bool | filter | ) |
| inline

void setPickingAllowedFilter | ( | const bool | filter | ) |
| inline

void setVisibleFilter | ( | const bool | filter | ) |
| inline

## Member Data Documentation

bool mAlwaysInScopeFilter

bool mEnabledFilter

bool mPickingAllowedFilter

U32 mSceneGroupMask

U32 mSceneLayerMask

bool mVisibleFilter

The documentation for this struct was generated from the following file:

- 2d/scene/WorldQueryFilter.h